Package com.oracle.truffle.object

## Interface LocationImpl.TypedObjectLocation<T extends Location & ObjectLocation>

All Superinterfaces:
  `BaseLocation`, `ObjectLocation`, `TypedLocation`

Enclosing class:
  LocationImpl

    public static interface LocationImpl.TypedObjectLocation<T extends Location & ObjectLocation>
    extends ObjectLocation

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `toUntypedLocation()`

### Methods inherited from interface com.oracle.truffle.api.object.BaseLocation

`get, get, set, set, set`

### Methods inherited from interface com.oracle.truffle.api.object.ObjectLocation

`getType, isNonNull`

### Method Detail

#### toUntypedLocation

    T toUntypedLocation()